﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGProgrammaticFilterDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 15; i++)
            {
                if (i % 3 == 0)
                {
                    Data.Add(new SampleData()
                    {
                        ID = i,
                        Number = r.Next(1000),
                        YorN = "Y"
                    });
                }
                else
                {
                    Data.Add(new SampleData()
                    {
                        ID = i,
                        Number = r.Next(1000),
                        YorN = "N"
                    });
                }
            }
        }
    }

    public class SampleData
    {
        public string YorN { get; set; }
        public int ID { get; set; }
        public int Number { get; set; }
    }
}
